#! /bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh - install script for unison
#
# Creation   :  2017-02-18 daniel
# Last Update:  $Id: install.sh 2 2017-10-18 18:52:17Z  $
#
# Copyright (c) 2018 Daniel Vogel <daniel@eisfair.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# include eisfair script library
#------------------------------------------------------------------------------

. /var/install/include/eislib


#-----------------------------------------------------------------------------
# setup start/stop script
#-----------------------------------------------------------------------------
stopplevels="/etc/rc0.d /etc/rc1.d /etc/rc6.d"
startlevels="/etc/rc2.d"

cd /etc/rc2.d
rm -f K??unison
rm -f S??unison
ln -sf ../init.d/unison K35unison
cd - >/dev/null 2>&1

#-----------------------------------------------------------------------------
# add menu
#-----------------------------------------------------------------------------

/var/install/bin/add-menu setup.services.menu           \
                          setup.services.unison.menu    \
                          "Unison File Synchronizer"

#-----------------------------------------------------------------------------
# unison create runtime directory
#-----------------------------------------------------------------------------
if [ ! -d /var/lib/unison ]
then
   /bin/mkdir /var/lib/unison
fi

#----------------------------------------------------------------------------
# Create default config 
#----------------------------------------------------------------------------

/var/install/config.d/unison-update.sh

#----------------------------------------------------------------------------
# Apply current config
#----------------------------------------------------------------------------
/var/install/config.d/unison.sh --quiet

#------------------------------------------------------------------------------
# start configuration editor
#------------------------------------------------------------------------------
if [ -f /etc/rc2.d/S65unison ]
then
    /etc/init.d/unison start
fi

#-----------------------------------------------------------------------------
# End 
#-----------------------------------------------------------------------------

exit 0
